local rainbowcars = {}
rainbowcars.loaded = false
function rainbowcars.unload()
	print("unload")
end
local r1, g1, b1 = 255, 0, 0
local r2, g2, b2 = 0, 0, 255
function rainbowcars.tick()
	local playerPed = PLAYER.PLAYER_PED_ID()
	local player = PLAYER.GET_PLAYER_PED(playerPed)
	local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed)
	local playerPosition = ENTITY.GET_OFFSET_FROM_ENTITY_IN_WORLD_COORDS(playerPed, 0.0, 5.0, 0.0)
	local last_veh
	if playerExists then
		if PED.IS_PED_IN_ANY_VEHICLE(playerPed,	false) then
			local veh = PED.GET_VEHICLE_PED_IS_IN(playerPed, false)
			if veh and ENTITY.DOES_ENTITY_EXIST(veh) then
				last_veh = veh
				r1, g1, b1 = rainbowcars.GetRainbowColor(r1, g1, b1)
				r2, g2, b2 = rainbowcars.GetRainbowColor(r2, g2, b2)
				VEHICLE.SET_VEHICLE_CUSTOM_PRIMARY_COLOUR(veh, r1, g1, b1)
				VEHICLE.SET_VEHICLE_CUSTOM_SECONDARY_COLOUR(veh, r2, g2, b2)
			end
		else
			local veh = PED.GET_VEHICLE_PED_IS_IN(playerPed, true)
			if veh and ENTITY.DOES_ENTITY_EXIST(veh) then
				r1, g1, b1 = rainbowcars.GetRainbowColor(r1, g1, b1)
				r2, g2, b2 = rainbowcars.GetRainbowColor(r2, g2, b2)
				VEHICLE.SET_VEHICLE_CUSTOM_PRIMARY_COLOUR(veh, r1, g1, b1)
				VEHICLE.SET_VEHICLE_CUSTOM_SECONDARY_COLOUR(veh, r2, g2, b2)
			end
		end
	end
end
function rainbowcars.GetRainbowColor(r, g, b)
	if r == 255 and g < 255 and b == 0 then
		g = g + 1
	end
    if g == 255 and r > 0 and b == 0 then
		r = r - 1
	end
    if g == 255 and b < 255 and r == 0 then
		b = b + 1
	end
    if b == 255 and g > 0 and r == 0 then
		g = g - 1
	end
    if b == 255 and r < 255 and g == 0 then
		r = r + 1
    end
    if r == 255 and b > 0 and g == 0 then
		b = b - 1
	end
	return r, g, b
end

return rainbowcars